Bug 468771 - rhn_register gui and tui should give warning when management entitlements are exhausted.
rhn_register gui and tui should give warning when management entitlements are...
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rhn-client-tools (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Milan Zázrivec
Red Hat Satellite QA List
Depends On:
Blocks: 840699
  Show dependency treegraph
Reported: 2008-10-27 18:03 EDT by Sayli Karmarkar
Modified: 2012-08-06 04:27 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-06 04:27:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sayli Karmarkar 2008-10-27 18:03:12 EDT
Description of problem:
rhn_register gui and tui do not give any warning when zero management entitlements
are available but channel entitlements are available. 
Version-Release number of selected component (if applicable):

Steps to Reproduce:
1. Create an org with 1 management and 5 channel entitlement available.
2. rhn_register (tui or gui)
3. This will work and will exaust management entitlements.
4. rhn_register (tui or gui)
Actual results:
It will register system without any proper warning on gui or tui so as to let the user know that they need management entitlements.

Expected results:
It should give warning while registering system similar to warning generated when management entitlements are exhausted and activation key is configured as universal default. 

"Your organization does not have enough Management entitlements to register this
    system to Red Hat Network. Please notify your organization administrator of this error. 
    You should be able to register this system after your organization frees existing 
    or purchases additional entitlements. Additional entitlements may be purchased by your
    organization administrator by logging into Red Hat Network and visiting
    the 'Subscription Management' page in the 'Your RHN' section of RHN.
    A common cause of this error code is due to having mistakenly setup an
    Activation Key which is set as the universal default.  If an activation key is set
    on the account as a universal default, you can disable this key and retry to avoid
    requiring a Management entitlement."
Comment 1 Clifford Perry 2008-11-18 09:17:31 EST
Moving to RHEL 4.9 - this has been a long standing item within the code for up2date. Not sure we will want to address this.
Comment 7 Miroslav Suchý 2012-06-18 16:09:11 EDT
This is still in current code. Changing to RHEL6.
Comment 9 Clifford Perry 2012-08-06 04:10:31 EDT
Devel nack. No customers pushing this. A nice-to-have. This type of issue is resolved within subscription-managers way of doing entitlements.
Comment 10 RHEL Product and Program Management 2012-08-06 04:27:41 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.